Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026467
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-05-06 10:332014-06-14 17:09
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiondf19952acd95
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026467: Wrong Transaction's accounting entry when working with multi-currency and cash vat functionality

DescriptionWrong Transaction's accounting entry when working with multi-currency and cash vat functionality
Steps To Reproduce0. Define Conversion Rate between AED - EUR and AED - USD
1. Configure Organization as "cash vat"
2. Register Sales Invoice (verify that "cash vat" flag is set to Yes) using Price List in AED currency
3. Post invoice and realize that accounting entry is correctly generated using conversion, for both tax amount and product amount
4. Register Payment In and Transaction for that invoice, using Payment Method not configured for payment posting and only configured for transaction posting
5. Access Financial Account | Transactions window and post previous transaction. Realize that Tax amount is not being converted
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067934)
AtulOpenbravo (developer)
2014-06-12 10:28

Test Plan
- Define Conversion Rate between AED - EUR and AED - USD.
- Configure Organization as "cash vat".
- Create a Price List in AED Currency. Add Version and some products to this Price List.
- Create a Payment Method, Set Receive Payments in Multi Currency =Yes. In Payment In configuration section Keep Upon Receipt Account as Blank, Set Upon Deposit Account as Deposited Payment Account. Add this Payment Method under one of the Financial Account.
- Register Sales Invoice (verify that "cash vat" flag is set to Yes) using Price List in AED currency, above created Payment Method, add products in lines, select proper taxes. [Make sure taxes used are also marked as Cash Vat = Yes and Cash Vat related accounting configuration is done] Book it.
- Post invoice and realize that accounting entry is correctly generated using conversion, for both tax amount and product amount.
- Register Payment In using Add Payment button from Sales Invoice and Navigate to Financial Account Transaction Tab.
- Post Payment In created for above Sales Invoice. Realize that Tax amount is also converted properly.
(0067988)
hgbot (developer)
2014-06-13 12:13

Repository: erp/devel/pi
Changeset: df19952acd9528fd36a855ad65c73f0c295e163e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jun 12 13:19:07 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/df19952acd9528fd36a855ad65c73f0c295e163e [^]

Fixes Issue 26467

---
M src/org/openbravo/erpCommon/utility/CashVATUtil.java
---
(0067994)
rafaroda (developer)
2014-06-13 12:48

Invoice and Financial Account transactions are now properly posted with the right conversions: see images at https://drive.google.com/folderview?id=0B649lz4ZYJcHWjN0ajh2SUxQamc&usp=sharing [^]
(0068029)
hudsonbot (developer)
2014-06-14 17:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/db3caad9be22 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-06 10:33 maite New Issue
2014-05-06 10:33 maite Assigned To => dmiguelez
2014-05-06 10:33 maite Modules => Advanced Payables and Receivables Mngmt
2014-05-06 10:33 maite Triggers an Emergency Pack => No
2014-05-06 10:34 maite Assigned To dmiguelez => jonalegriaesarte
2014-05-06 10:35 maite Issue Monitored: networkb
2014-05-06 10:35 maite Target Version => PR14Q3
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-06-11 10:15 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-06-12 09:49 AtulOpenbravo Status new => scheduled
2014-06-12 09:49 AtulOpenbravo fix_in_branch => pi
2014-06-12 10:28 AtulOpenbravo Note Added: 0067934
2014-06-13 12:12 AtulOpenbravo Review Assigned To => rafaroda
2014-06-13 12:12 AtulOpenbravo fix_in_branch pi =>
2014-06-13 12:13 hgbot Checkin
2014-06-13 12:13 hgbot Note Added: 0067988
2014-06-13 12:13 hgbot Status scheduled => resolved
2014-06-13 12:13 hgbot Resolution open => fixed
2014-06-13 12:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/df19952acd9528fd36a855ad65c73f0c295e163e [^]
2014-06-13 12:48 rafaroda Note Added: 0067994
2014-06-13 12:48 rafaroda Status resolved => closed
2014-06-14 17:09 hudsonbot Checkin
2014-06-14 17:09 hudsonbot Note Added: 0068029


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker